2012-09-12 [mones] 3.8.1cvs54
[claws.git] / autogen.sh
1 #!/bin/sh
2
3 # ***** W32 build script *******
4 # Used to cross-compile for Windows.
5 if test "$1" = "--build-w32"; then
6     tmp=`dirname $0`
7     tsdir=`cd "$tmp"; pwd`
8     shift
9     if [ ! -f $tsdir/config/config.guess ]; then
10         echo "$tsdir/config/config.guess not found" >&2
11         exit 1
12     fi
13     build=`$tsdir/config/config.guess`
14
15     [ -z "$w32root" ] && w32root="$HOME/w32root"
16     echo "Using $w32root as standard install directory" >&2
17     
18     if i586-mingw32msvc-gcc --version >/dev/null 2>&1 ; then
19         host=i586-mingw32msvc
20         crossbindir=/usr/$host/bin
21     else
22        echo "Debian's mingw32 cross-compiler packet is required" >&2
23        exit 1
24     fi
25    
26     if [ -f "$tsdir/config.log" ]; then
27         if ! head $tsdir/config.log | grep "$host" >/dev/null; then
28             echo "Pease run a 'make distclean' first" >&2
29             exit 1
30         fi
31     fi
32
33     ./configure --enable-maintainer-mode --prefix=${w32root}  \
34              --host=i586-mingw32msvc --build=${build} \
35              --with-lib-prefix=${w32root} \
36              --with-libiconv-prefix=${w32root} \
37              --with-gpg-error-prefix=${w32root} \
38              --with-gpgme-prefix=${w32root} \
39              --with-config-dir="Claws-mail" \
40              --disable-openssl --disable-dillo-viewer-plugin \
41              --disable-nls --disable-libetpan --disable-enchant \
42              --disable-trayicon-plugin --disable-spamassassin-plugin \
43              --disable-bogofilter-plugin --disable-valgrind \
44              PKG_CONFIG_LIBDIR="$w32root/lib/pkgconfig"
45
46     rc=$?
47     exit $rc
48 fi
49 # ***** end W32 build script *******
50
51 bisonver=`bison --version`
52
53 if [ "$bisonver" = "" ]; then
54         echo Bison is needed to compile Claws Mail CVS
55         exit 1
56 fi
57
58 flexver=`flex --version|sed "s/.* //"`
59
60 if [ "$flexver" = "" ]; then
61         echo Flex 2.5.31 or greater is needed to compile Claws Mail CVS
62         exit 1
63 else
64         flex_major=`echo $flexver|sed "s/\..*//"`
65         flex_minor=`echo $flexver|sed "s/$flex_major\.\(.*\)\..*/\1/"`
66         flex_micro=`echo $flexver|sed "s/$flex_major\.$flex_minor\.\(.*\)/\1/"`
67         if [ $flex_major -lt 2 -o $flex_minor -lt 5 -o $flex_micro -lt 31 ]; then
68                 echo Flex 2.5.31 or greater is needed to compile Claws Mail CVS
69                 exit 1
70         fi
71 fi
72
73
74 aclocal -I m4 \
75   && libtoolize --force --copy \
76   && autoheader \
77   && automake --add-missing --foreign --copy \
78   && autoconf \
79   && ./configure --enable-maintainer-mode $@